using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "NewMaze", menuName = "Maze/New Maze Asset")]
public class MazeAsset : ScriptableObject
{
	[Header("Output")]
	[SerializeField]
	private Maze maze = new Maze();

	[Header("Maze Settings")]
	[SerializeField]
	private MazeDimensions mazeDimensions = new MazeDimensions(5, 5);

	[SerializeField]
	private MazeCoordinates start = new MazeCoordinates(0, 0);

	[SerializeField]
	private MazeCoordinates end = new MazeCoordinates(4, 4);

	[ContextMenu("Update Maze")]
	public void UpdateMaze()
	{
		maze = new Maze(mazeDimensions, start, end);
	}

	public Maze GetMaze()
	{
		return maze;
	}
}
